searchData={"items":[{"type":"module","doc":"Writer for HTML, converting from Spec to HTML.","title":"NLdoc.Conversion.Writer.Html","ref":"NLdoc.Conversion.Writer.Html.html"},{"type":"type","doc":"","title":"NLdoc.Conversion.Writer.Html.acc/0","ref":"NLdoc.Conversion.Writer.Html.html#t:acc/0"},{"type":"function","doc":"Converts Document to HTML.","title":"NLdoc.Conversion.Writer.Html.convert/2","ref":"NLdoc.Conversion.Writer.Html.html#convert/2"},{"type":"type","doc":"","title":"NLdoc.Conversion.Writer.Html.html_tag_or_text/0","ref":"NLdoc.Conversion.Writer.Html.html#t:html_tag_or_text/0"},{"type":"module","doc":"Module for HTML (SimpleForm) operations","title":"NLdoc.Conversion.Writer.Html.SimpleForm","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html"},{"type":"function","doc":"Append attributes to existing tag.","title":"NLdoc.Conversion.Writer.Html.SimpleForm.append_attributes/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_attributes/2"},{"type":"function","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_children([{\"span\", [], [\"Other text\"]}])\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.append_attributes/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_attributes/2-examples"},{"type":"function","doc":"Append child to existing tag.","title":"NLdoc.Conversion.Writer.Html.SimpleForm.append_child/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_child/2"},{"type":"function","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_child({\"span\", [], [\"Other text\"]})\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.append_child/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_child/2-examples"},{"type":"function","doc":"Append children to existing tag.","title":"NLdoc.Conversion.Writer.Html.SimpleForm.append_children/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_children/2"},{"type":"function","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_children([{\"span\", [], [\"Other text\"]}])\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.append_children/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#append_children/2-examples"},{"type":"function","doc":"Append child to existing tag.","title":"NLdoc.Conversion.Writer.Html.SimpleForm.prepend_child/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#prepend_child/2"},{"type":"function","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_child({\"span\", [], [\"Other text\"]})\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.prepend_child/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#prepend_child/2-examples"},{"type":"function","doc":"Append attributes to existing tag.","title":"NLdoc.Conversion.Writer.Html.SimpleForm.put_attributes/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#put_attributes/2"},{"type":"function","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.append_children([{\"span\", [], [\"Other text\"]}])\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\", {\"span\", [], [\"Other text\"]}]}","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.put_attributes/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#put_attributes/2-examples"},{"type":"function","doc":"Put children inside existing tag.","title":"NLdoc.Conversion.Writer.Html.SimpleForm.put_children/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#put_children/2"},{"type":"function","doc":"iex> { \"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.SimpleForm.put_children([{\"span\", [], [\"Other text\"]}])\n    {\"p\", [{\"class\", \"xyz\"}], [{\"span\", [], [\"Other text\"]}]}","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.put_children/2","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#put_children/2-examples"},{"type":"function","doc":"","title":"NLdoc.Conversion.Writer.Html.SimpleForm.reverse/1","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#reverse/1"},{"type":"function","doc":"Create a new node with tag_name, attributes and children","title":"NLdoc.Conversion.Writer.Html.SimpleForm.tag/3","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#tag/3"},{"type":"function","doc":"iex> NLdoc.Conversion.Writer.Html.SimpleForm.tag(\"p\", [{\"class\", \"xyz\"}], [\"Some Text\"])\n    {\"p\", [{\"class\", \"xyz\"}], [\"Some Text\"]}\n\n    iex> NLdoc.Conversion.Writer.Html.SimpleForm.tag(\"p\", [{\"class\", \"xyz\"}])\n    {\"p\", [{\"class\", \"xyz\"}], []}\n\n    iex> NLdoc.Conversion.Writer.Html.SimpleForm.tag(\"p\")\n    {\"p\", [], []}","title":"Examples - NLdoc.Conversion.Writer.Html.SimpleForm.tag/3","ref":"NLdoc.Conversion.Writer.Html.SimpleForm.html#tag/3-examples"},{"type":"module","doc":"This module defines a struct that captures the state of the converter during a HTML conversion.","title":"NLdoc.Conversion.Writer.Html.State","ref":"NLdoc.Conversion.Writer.Html.State.html"},{"type":"function","doc":"Get current footnote number based on footnotes in state.","title":"NLdoc.Conversion.Writer.Html.State.current_footnote_number/1","ref":"NLdoc.Conversion.Writer.Html.State.html#current_footnote_number/1"},{"type":"function","doc":"iex> %NLdoc.Conversion.Writer.Html.State{ordered_footnote_ids: %{ \"abc\" => 1, \"xyz\" => 2 }}\n    ...> |> NLdoc.Conversion.Writer.Html.State.current_footnote_number()\n    2","title":"Examples - NLdoc.Conversion.Writer.Html.State.current_footnote_number/1","ref":"NLdoc.Conversion.Writer.Html.State.html#current_footnote_number/1-examples"},{"type":"function","doc":"Get asset by id from state.","title":"NLdoc.Conversion.Writer.Html.State.find_asset/2","ref":"NLdoc.Conversion.Writer.Html.State.html#find_asset/2"},{"type":"function","doc":"iex> alias NLdoc.Conversion.Writer.Html.State\n    iex> state = %State{assets: [%NLdoc.Spec.Asset{id: \"123\"}]}\n    iex> state |> State.find_asset(\"123\")\n    %NLdoc.Spec.Asset{id: \"123\"}\n    iex> state |> State.find_asset(\"456\")\n    nil","title":"Examples - NLdoc.Conversion.Writer.Html.State.find_asset/2","ref":"NLdoc.Conversion.Writer.Html.State.html#find_asset/2-examples"},{"type":"function","doc":"Gets the given field from the state object.\n\nThis function only accepts fields of the state, which are :ordered_footnote_ids, :existing_footnote_ids, :assets.\nIt will raise if the field is not valid.","title":"NLdoc.Conversion.Writer.Html.State.get/2","ref":"NLdoc.Conversion.Writer.Html.State.html#get/2"},{"type":"type","doc":"","title":"NLdoc.Conversion.Writer.Html.State.html_tag_or_text/0","ref":"NLdoc.Conversion.Writer.Html.State.html#t:html_tag_or_text/0"},{"type":"function","doc":"Modifies a state object by setting the given field to the value that field had in the old state.\n\nThis function only accepts fields of the state, which are :ordered_footnote_ids, :existing_footnote_ids, :assets.\nIt will raise if the field is not valid.","title":"NLdoc.Conversion.Writer.Html.State.keep/3","ref":"NLdoc.Conversion.Writer.Html.State.html#keep/3"},{"type":"function","doc":"Prepends a list of values or a single value to the list field in the state object.\n\nThis function only accepts fields of the state, which are :existing_footnote_ids, :assets.\nIt will raise if the field is not valid.","title":"NLdoc.Conversion.Writer.Html.State.prepend/3","ref":"NLdoc.Conversion.Writer.Html.State.html#prepend/3"},{"type":"function","doc":"Sets the given field on the state object to the given value.\n\nThis function only accepts fields of the state, which are :ordered_footnote_ids, :existing_footnote_ids, :assets.\nIt will raise if the field is not valid.","title":"NLdoc.Conversion.Writer.Html.State.set/3","ref":"NLdoc.Conversion.Writer.Html.State.html#set/3"},{"type":"type","doc":"","title":"NLdoc.Conversion.Writer.Html.State.t/0","ref":"NLdoc.Conversion.Writer.Html.State.html#t:t/0"},{"type":"function","doc":"Upsert new footnote to state.","title":"NLdoc.Conversion.Writer.Html.State.upsert_footnote_id/2","ref":"NLdoc.Conversion.Writer.Html.State.html#upsert_footnote_id/2"},{"type":"function","doc":"When reference was encountered that refers to a valid footnote.\n\n    iex> %NLdoc.Conversion.Writer.Html.State{\n    ...>   ordered_footnote_ids: %{ \"abc\" => 1 },\n    ...>   existing_footnote_ids: [\"abc\", \"xyz\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.State.upsert_footnote_id(\"xyz\")\n    {2, %NLdoc.Conversion.Writer.Html.State{\n      ordered_footnote_ids: %{\"abc\" => 1, \"xyz\" => 2},\n      existing_footnote_ids: [\"abc\", \"xyz\"]}}\n\nWhen dead reference was encountered.\n\n    iex> %NLdoc.Conversion.Writer.Html.State{\n    ...>   ordered_footnote_ids: %{ \"abc\" => 1 },\n    ...>   existing_footnote_ids: [\"abc\", \"xyz\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.State.upsert_footnote_id(\"def\")\n    {nil, %NLdoc.Conversion.Writer.Html.State{\n      ordered_footnote_ids: %{\"abc\" => 1},\n      existing_footnote_ids: [\"abc\", \"xyz\"]}}\n\n\nWhen footnote is referenced that was referenced before\n\n    iex> %NLdoc.Conversion.Writer.Html.State{\n    ...>   ordered_footnote_ids: %{ \"abc\" => 1, \"xyz\" => 2 },\n    ...>   existing_footnote_ids: [\"abc\", \"xyz\"]}\n    ...> |> NLdoc.Conversion.Writer.Html.State.upsert_footnote_id(\"xyz\")\n    {2, %NLdoc.Conversion.Writer.Html.State{\n      ordered_footnote_ids: %{\"abc\" => 1, \"xyz\" => 2},\n      existing_footnote_ids: [\"abc\", \"xyz\"]}}","title":"Examples - NLdoc.Conversion.Writer.Html.State.upsert_footnote_id/2","ref":"NLdoc.Conversion.Writer.Html.State.html#upsert_footnote_id/2-examples"},{"type":"extras","doc":"# NLdoc.Conversion.Writer.HTML","title":"NLdoc.Conversion.Writer.HTML","ref":"readme.html"},{"type":"extras","doc":"Add `nldoc_conversion_writer_html` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_conversion_writer_html, \"~> 1.0.0\"}\n  ]\nend\n```\n\nThen, fetch dependencies:\n\n```sh\nmix deps.get\n```","title":"Installation - NLdoc.Conversion.Writer.HTML","ref":"readme.html#installation"},{"type":"extras","doc":"Detailed documentation is available at [HexDocs](https://hexdocs.pm/nldoc_conversion_writer_html).","title":"Documentation - NLdoc.Conversion.Writer.HTML","ref":"readme.html#documentation"},{"type":"extras","doc":"This project is licensed under the [EUPL-1.2 License](https://joinup.ec.europa.eu/software/page/eupl).","title":"License - NLdoc.Conversion.Writer.HTML","ref":"readme.html#license"},{"type":"extras","doc":"# Changelog\n\n# 1.0.0 (2025-02-06)","title":"Changelog","ref":"changelog.html"},{"type":"extras","doc":"* **NLD-625:** Initial commit ([56a8b09](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_conversion_writer_html/commit/56a8b0925c56d87642355527c9a816cd3b6845cc))","title":"Features - Changelog","ref":"changelog.html#features"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.0"}}